"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ink_1 = require("ink");
const react_1 = __importDefault(require("react"));
const theme_1 = __importDefault(require("./common/theme"));
const Logo_1 = __importDefault(require("./components/Logo"));
const figures = __importStar(require("figures"));
const AboutView = () => {
    return (react_1.default.createElement(ink_1.Box, { flexDirection: 'column' },
        react_1.default.createElement(Logo_1.default, null),
        react_1.default.createElement(ink_1.Box, { flexDirection: 'column', width: 80 },
            react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor, bold: true }, "\u4F5C\u8005\uFF1A"),
            react_1.default.createElement(ink_1.Text, null, "code_xia"),
            react_1.default.createElement(ink_1.Newline, null),
            react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor, bold: true }, "\u90AE\u7BB1\uFF1A"),
            react_1.default.createElement(ink_1.Text, null, "zhengwenjun1994@gmail.com"),
            react_1.default.createElement(ink_1.Newline, null),
            react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor, bold: true }, "QQ\uFF1A"),
            react_1.default.createElement(ink_1.Text, null, "865738120"),
            react_1.default.createElement(ink_1.Newline, null),
            react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor, bold: true }, "GitHub\uFF1A"),
            react_1.default.createElement(ink_1.Text, null, "https://github.com/qq865738120/coder-notifier"),
            react_1.default.createElement(ink_1.Newline, null),
            react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor, bold: true }, "\u672A\u6765\u89C4\u5212\uFF1A"),
            react_1.default.createElement(ink_1.Box, null,
                react_1.default.createElement(ink_1.Box, { marginRight: 1 },
                    react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor }, figures.circleFilled)),
                react_1.default.createElement(ink_1.Text, null, "\u901A\u77E5\u529F\u80FD")),
            react_1.default.createElement(ink_1.Box, null,
                react_1.default.createElement(ink_1.Box, { marginRight: 1 },
                    react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor }, figures.circleFilled)),
                react_1.default.createElement(ink_1.Text, null, "\u81EA\u52A8\u542F\u52A8\u529F\u80FD")),
            react_1.default.createElement(ink_1.Box, null,
                react_1.default.createElement(ink_1.Box, { marginRight: 1 },
                    react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor }, figures.circleFilled)),
                react_1.default.createElement(ink_1.Text, null, "\u5BFC\u5165\u5BFC\u51FA\u8BBE\u7F6E\u529F\u80FD")),
            react_1.default.createElement(ink_1.Box, null,
                react_1.default.createElement(ink_1.Box, { marginRight: 1 },
                    react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor }, figures.circle)),
                react_1.default.createElement(ink_1.Text, null, "\u7528\u6237\u81EA\u5B9A\u4E49\u5B9A\u65F6\u63D2\u4EF6\u529F\u80FD")),
            react_1.default.createElement(ink_1.Newline, null),
            react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor, bold: true }, "\u4F5C\u8005\u7684\u8BDD\uFF1A"),
            react_1.default.createElement(ink_1.Text, null,
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor, bold: true }, "coder-notifier"),
                "\u7684\u521D\u8877\u662F\u6210\u4E3A\u4E00\u6B3E\u7A0B",
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor, bold: true }, "\u5E8F\u5458\u53CB\u597D\u578B\u684C\u9762\u7AEF\u8DE8\u5E73\u53F0\u901A\u77E5\u7C7B\u8F6F\u4EF6"),
                "\u3002\u6CA1\u6709\u70E6\u4EBA\u7684\u5F39\u7A97\u5E7F\u544A\u4E00\u6B21\u6B21\u7684\u6253\u6270\uFF0C\u6CA1\u6709\u54C8\u5229\u547C\u54E8\u7684\u4E0D\u9700\u8981\u7684\u529F\u80FD\uFF0C\u6709\u7684\u53EA\u6709\u7B80\u6D01\u4E14\u5F3A\u5927\u7684\u529F\u80FD\u6EE1\u8DB3\u65E5\u5E38\u9700\u6C42\u3002\u4E14\u540C\u65F6\u517C\u987E",
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor, bold: true }, "CLI"),
                "\u5DE5\u5177\u7684\u65B9\u4FBF\u5FEB\u6377\uFF0C\u4EE5\u53CA\u8FD1\u4E4E",
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor, bold: true }, "GUI"),
                "\u5DE5\u5177\u7684\u89C6\u89C9\u4EA4\u4E92\u4F53\u9A8C\u3002\u8FD9\u5F97\u76CA\u4E8E",
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor, bold: true }, "ink"),
                "\u5F3A\u5927\u7684\u529F\u80FD\u3002"))));
};
exports.default = AboutView;
