import { FC } from "react";
export interface ISetForm {
    title: string;
    message: string;
    cycle: "day" | "week" | "custom";
    week: 1 | 2 | 3 | 4 | 5 | 6 | 7;
    time: string;
    schedule: string;
    isTurnOn: boolean;
    remark: string;
}
export interface ISetFormProps {
    initForm?: ISetForm;
    onConfirm: (form: ISetForm) => any;
    onError: (errorMsg: string) => any;
    onHideError: () => any;
    onInfo: (infoMsg: string) => any;
}
declare const SetForm: FC<ISetFormProps>;
export default SetForm;
