"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const ink_1 = require("ink");
const theme_1 = __importDefault(require("../common/theme"));
const figures = __importStar(require("figures"));
exports.default = (0, react_1.forwardRef)(({ 
// eslint-disable-next-line react/prop-types
isShow = false, 
// eslint-disable-next-line react/prop-types
type = "success", 
// eslint-disable-next-line react/prop-types
message, }, ref) => {
    const [option, setOption] = (0, react_1.useState)({ type, message });
    const [oldOption, setOldOption] = (0, react_1.useState)({ type, message });
    const [oldOption2, setOldOption2] = (0, react_1.useState)({ type, message });
    const [oldOption3, setOldOption3] = (0, react_1.useState)({ type, message });
    (0, react_1.useImperativeHandle)(ref, () => ({
        clear
    }));
    (0, react_1.useEffect)(() => {
        clear();
    }, []);
    (0, react_1.useEffect)(() => {
        setOldOption3(oldOption2);
        setOldOption2(oldOption);
        setOldOption(option);
        setOption({ type, message });
    }, [message, type]);
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const clear = () => {
        setOption({ type: "success", message: "" });
        setOldOption({ type: "success", message: "" });
        setOldOption2({ type: "success", message: "" });
        setOldOption3({ type: "success", message: "" });
    };
    return isShow ? (react_1.default.createElement(ink_1.Box, { marginTop: 2, flexDirection: 'column' },
        react_1.default.createElement(ink_1.Box, null,
            option.type === "success" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor }, figures.tick),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: theme_1.default.secondColor }, option.message || "成功")))),
            option.type === "error" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColorHeight }, figures.cross),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColorHeight }, option.message || "出错了")))),
            option.type === "info" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: theme_1.default.lastColor }, figures.info),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: theme_1.default.lastColor }, option.message || "温馨提示"))))),
        (oldOption.type !== option.type ||
            oldOption.message !== option.message) &&
            oldOption.message ? (react_1.default.createElement(ink_1.Box, null,
            oldOption.type === "success" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#999', dimColor: true }, figures.tick),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#999', dimColor: true }, oldOption.message)))),
            oldOption.type === "error" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#999', dimColor: true }, figures.cross),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#999', dimColor: true }, oldOption.message || "出错了")))),
            oldOption.type === "info" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#999', dimColor: true }, figures.info),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#999', dimColor: true }, oldOption.message || "温馨提示")))))) : null,
        (oldOption2.type !== oldOption.type ||
            oldOption2.message !== oldOption.message) &&
            oldOption2.message ? (react_1.default.createElement(ink_1.Box, null,
            oldOption2.type === "success" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#666', dimColor: true }, figures.tick),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#666', dimColor: true }, oldOption2.message)))),
            oldOption2.type === "error" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#666', dimColor: true }, figures.cross),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#666', dimColor: true }, oldOption2.message || "出错了")))),
            oldOption2.type === "info" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#666', dimColor: true }, figures.info),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#666', dimColor: true }, oldOption2.message || "温馨提示")))))) : null,
        (oldOption3.type !== oldOption2.type ||
            oldOption3.message !== oldOption2.message) &&
            oldOption3.message ? (react_1.default.createElement(ink_1.Box, null,
            oldOption3.type === "success" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#333', dimColor: true }, figures.tick),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#333', dimColor: true }, oldOption3.message)))),
            oldOption3.type === "error" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#333', dimColor: true }, figures.cross),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#333', dimColor: true }, oldOption3.message || "出错了")))),
            oldOption3.type === "info" && (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(ink_1.Text, { color: '#333', dimColor: true }, figures.info),
                react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
                    react_1.default.createElement(ink_1.Text, { color: '#333', dimColor: true }, oldOption3.message || "温馨提示")))))) : null)) : null;
});
